Subject: Re: bug#34290: [PATCH] checkdoc byte compile warnings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Feb 2019 18:35:27 +0200

> From: Alex Branham <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 02 Feb 2019 10:28:13 -0600
> 
> On Sat 02 Feb 2019 at 10:06, Eli Zaretskii <[email-masked]> wrote:
> 
> > AFAIU, declare-function is useful when the function in question is
> > auto-loaded, but we don't want to load its package unconditionally,
> > e.g. because that function is used only in a small part of the package
> > being compiled.  None of which seems to be the case here, or did I
> > miss something?
> 
> I was just following with what the file was already doing. More than
> happy to require lisp-mnt top-level though, patch attached.

Thanks, this looks good.  Let's wait for a few days for additional
comments, if someone would like to voice them.